<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Job Position</title>
</head>
<body>

<section layout:fragment="breadcrumb" class="content-header">
    <h1>
        Job Position
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li class="treeview active"> Master Data</li>
        <li class="active"> Job Position List</li>
    </ol>
</section>

<section layout:fragment="main" class="content">

    <div class="row">
        <!--        <div class="col-md-3">-->
        <!--            <div class="box box-solid">-->
        <!--                <div class="box-header with-border">-->
        <!--                    <h3 class="box-title">Tab</h3>-->

        <!--                    <div class="box-tools">-->
        <!--                        <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>-->
        <!--                        </button>-->
        <!--                    </div>-->
        <!--                </div>-->
        <!--                <div class="box-body no-padding">-->
        <!--                    <ul class="nav nav-pills nav-stacked">-->
        <!--                        <li class="active">-->
        <!--                            <a th:href="@{/request/attendance}"><i class="fa fa-inbox"></i> Waiting</a>-->
        <!--                        </li>-->
        <!--                        <li>-->
        <!--                            <a th:href="@{/request/attendance}"><i class="fa fa-inbox"></i> Approved</a>-->
        <!--                        </li>-->
        <!--                    </ul>-->
        <!--                </div>-->
        <!--                &lt;!&ndash; /.box-body &ndash;&gt;-->
        <!--            </div>-->
        <!--        </div>-->
        <div class="col-md-9">

            <div class="callout callout-success" th:if="${success != null}">
                <h4>Save Data Success!</h4>

                <p>Data Berhasil Disimpan.</p>
            </div>

            <div class="callout callout-success" th:if="${deleted != null}">
                <h4>Delete Data Success!</h4>

                <p>Data Berhasil Dihapus.</p>
            </div>

            <div class="callout callout-danger" th:if="${gagal != null}">
                <h4>Save Data Unsuccesfully!</h4>

                <p>Data Tidak dapat dihapus karena ada anggaran aktif di dalamnya. hapus anggaran terlebih dahulu sebelum menghapus departemen ini..</p>
            </div>

            <div class="callout callout-danger" th:if="${sudahhapus != null}">
                <h4>Save Data Unsuccesfully!</h4>

                <p>Data tidak dapat di proses karena data sudah dihapus oleh seseorang di tampat lain..</p>
            </div>

            <!-- Custom Tabs -->
            <!--            <div class="nav-tabs-custom">-->
            <!--                <ul class="nav nav-tabs">-->
            <!--                    <li class="active"><a href="#detail" data-toggle="tab">Attendance Request</a></li>-->
            <!--                </ul>-->
            <!--                <form class="form-horizontal" th:action="@{/masterdata/employes/keluarga/save}" th:object="${employes}" method="post" enctype="multipart/form-data">-->
            <div class="box">
                <div class="box-body">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="box box-info">
                                <div class="box-header with-border">

                                    <span>Job Position</span>
                                                                            <span th:text="${employes.fullName}"></span>

                                </div>
                                <div class="box-body">
                                    <div class="box">
                                        <form method="get">
                                            <div class="box-header with-border">
                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <!--                                                                <h3 class="box-title">Ayah</h3>-->
                                                    </div>
                                                    <div class="col-md-6" align="right">
                                                        Show entries <span sd:page-size-selector="javascript"></span>
                                                    </div>
                                                </div>
                                            </div>

                                            <div class="box-header with-border">
                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <a th:href="@{/setting/employes/job/new(employes=${employes.id})}" name="tambahEmployeeJobPosition" type="button" class="btn btn-primary">+ Job Position</a>
                                                    </div>

                                                    <div class="col-md-6" align="right">
                                                        <div class="input-group input-group-sm" style="width: 150px;">
                                                            <input type="text" name="search" class="form-control pull-right" th:value="${search}" placeholder="Search">
                                                            <div class="input-group-btn">
                                                                <button type="submit" class="btn btn-default"><i class="fa fa-search"></i></button>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <input type="hidden" name="employes" th:value="${employes.getId()}">
                                                </div>
                                            </div>
                                        </form>
                                        <!-- /.box-header -->


                                        <div class="box-body table-responsive no-padding">
                                            <table class="table table-bordered">
                                                <tr>
                                                    <th style="width: 10px">#</th>
                                                    <th>Position</th>
                                                    <th>Start Date</th>
                                                    <th>End Date</th>
                                                    <th>Status</th>
                                                    <th style="width: 40px"></th>
                                                    <th style="width: 40px"></th>
                                                    <th style="width: 40px"></th>
                                                </tr>
                                                <tr th:each="dataEmployeeJobPosition,row : ${listEmployeeJobPosition}">
                                                    <td th:text="${(row.index + 1) + (listEmployeeJobPosition.number * listEmployeeJobPosition.size)}">1.</td>
                                                    <td th:text="${dataEmployeeJobPosition.position.getPositionName()}">BEASISWA</td>
                                                    <td th:text="${#temporals.format(dataEmployeeJobPosition.startDate,'dd-MMM-yyyy')}">BEASISWA</td>
                                                    <td th:text="${#temporals.format(dataEmployeeJobPosition.endDate,'dd-MMM-yyyy')}">BEASISWA</td>
                                                    <td th:text="${dataEmployeeJobPosition.statusAktif}">BEASISWA</td>
                                                    <td>
                                                        <a th:if="${dataEmployeeJobPosition.file} == 'default.jpg'" class="btn btn-danger btn-xs">
                                                            No Attachment
                                                        </a>
                                                        <a th:if="${dataEmployeeJobPosition.file} != 'default.jpg'" class="btn btn-success btn-xs" th:href="@{/setting/employee/job/{employeeJobPosition}/file/(employeeJobPosition = ${dataEmployeeJobPosition.id})}" target="_blank">
                                                            View Attachment
                                                        </a>
                                                    </td>
                                                    <td>
                                                        <a th:href="@{/setting/employes/job/edit(employeeJobPosition=${dataEmployeeJobPosition.id})}" class="btn btn-xs btn-primary">Edit</a>
                                                    </td>
                                                    <td>
                                                        <form method="post" th:action="@{/setting/employes/job/delete(employeeJobPosition=${dataEmployeeJobPosition.id})}">
                                                            <button type="submit" class="btn btn-danger btn-xs"
                                                                    onclick="return confirm('Are you sure want to delete this?')">
                                                                Delete
                                                            </button>
                                                        </form>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <th style="width: 10px">#</th>
                                                    <th>Position</th>
                                                    <th>Start Date</th>
                                                    <th>End Date</th>
                                                    <th>Status</th>
                                                    <th style="width: 40px"></th>
                                                    <th style="width: 40px"></th>
                                                </tr>
                                            </table>
                                        </div>
                                        <!-- /.box-body -->
                                        <div class="box-footer clearfix">
                                            <ul class="pagination pagination-sm no-margin pull-right" sd:pagination="full">
                                                <li class="disabled"><a href="#" aria-label="Previous"><span
                                                        aria-hidden="true">&laquo;</span></a>
                                                </li>
                                                <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>
                                                </li>
                                            </ul>
                                        </div>
                                    </div>
                                </div>
                                <div class="box-footer">
                                    <a th:href="@{/masterdata/employes}" class="btn btn-default">Cancel</a>
                                    <button type="submit" class="btn btn-info pull-right" id="simpan">Save</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!--                </form>-->
            <!--            </div>-->
        </div>
    </div>
</section>


</body>
</html>
</body>
</html>